const app = getApp()
import { Base } from '../../../utils/base.js';
const base = new Base()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    texts: "已输入",
    min: 0,//最少字数
    max: 300, //最多字数
    currentWordNumber:0,
    chooseBadge:true,
    imgBox:[],
    scoreArr : [],
    idlist:[],
    scorelist:[]
  },

  onLoad: function (options) {
    this.getComment()
  },

  onShow: function(){
    this.setData({
      imgBox: this.data.arr?this.data.arr: []
    })
  },

  inputs: function (e) {
    var value = e.detail.value;
    console.log(value)
    var len = parseInt(value.length);
    // console.log(len)
    if (len <= this.data.min)
      this.setData({
        texts: "已输入",
        num:this.data.min-len
      })
    else if (len > this.data.min)
      this.setData({
        texts: " ",
        textss: " ",
        num:''
      })
    this.setData({
      currentWordNumber: len //当前字数  
    });
    if (len > this.data.max) return;
    console.log(this.data)
  },

  onDrag(event) {
    console.log(event)
    let index = event.currentTarget.dataset.index
    this.data.scoreArr[index].score = event.detail.value
    this.setData({
      scoreArr : this.data.scoreArr
    });
    console.log(this.data.scoreArr)
  },
  gobadgelist:function(e){
    var model = JSON.stringify(this.data.imgBox)
    wx.navigateTo({
      url: '../../index/badgelist/badgelist?listData=' + model,
    })
  },
  //删除徽章
  deleteBadge: function (e) {
		var imgs = this.data.imgBox
    var index = e.currentTarget.dataset.index
    // console.log(index)
		imgs.splice(index, 1)
		this.setData({
			imgBox: imgs
		})
  },
  
  // 教练对孩子运动评价，获取课程评价维度
  getComment : function (){
    let params = {
      url:'coach/comment_norm',
      data : {
        course_id : 1001,
      },
      callback : (data) => {
        console.log(data)
        var arr = []
        for( var i = 0; i<data.length;i++){
          let options = {
            id : data[i].id,
            name: data[i].name,
            score : 0
          }
          arr.push(options)
        }
        console.log(arr)
        this.setData({
          scoreArr : arr,
        })

        //把scoreArr数组中的id跟score拿出来组成新的数组{id:1,score:0}------{"1":90,"2":80}
        // let newarr = []
        // this.data.scoreArr.forEach(item => {
        //   let newdata = {}
        //   newdata.id = item.id;
        //   newdata.score = item.score;
        //   newarr.push(newdata)
        // })
        // this.setData({
        //   newarr :this.data.scoreArr
        // })
        // console.log(newarr)
      }
    }
    base.newRequest(params)
  },
  // 保存
  save : function () {
    
  //   let params = {
  //   url:'badges/add',
  //   data:{
  //   },
  //   type:'POST',
  //   callback: (data) => {
    
  //   }
  //  }
  //  base.newRequest(params)

  let params = {
    url:'coach/comment_save',
    data:{
      coach_id : 5,
      lesson_id : 73,
      child_id : 303,
      comment_score : this.data.newarr
    },
    type:'POST',
    callback: (data) => {
      console.log(data)
      //把scoreArr数组中的id跟score拿出来组成新的数组{id:1,score:0}------{"1":90,"2":80}
      //   let newarr = []
      //   this.data.scoreArr.forEach(item => {
      //     let newdata = {}
      //     newdata.id = item.id;
      //     newdata.score = item.score;
      //     newarr.push(newdata)
      //   })
      //   this.setData({
      //     newarr :this.data.scoreArr
      //   })
      //   console.log(newarr)
      // this.getComment()
    }
  }
  base.newRequest(params)
  }
})